@echo off
if "%1"=="a" goto start
if "%1"=="A" goto start
if "%1"=="b" goto start
if "%1"=="B" goto start
echo.
echo This copy process needs 3 blank, formatted high-density disks.
echo.
echo The syntax for copying is:
echo %0 A   - to copy to drive A
echo %0 B   - to copy to drive B
echo.
goto exit
:start
echo.
echo This copy process needs 3 blank, formatted high-density disks.
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 1
xcopy ..\trivnow\*.exe %1:\trivnow\
xcopy ..\trivnow\?nature.trv %1:\trivnow\
xcopy ..\trivnow\mchrstms.trv %1:\trivnow\
xcopy ..\crosword\*.exe %1:\crosword\
xcopy ..\crosword\rstercog.cwd %1:\crosword\
xcopy ..\crosword\xmascomp.cwd %1:\crosword\
xcopy ..\crosword\xmasongs.cwd %1:\crosword\
xcopy ..\wordfind\*.* %1:\wordfind\
xcopy articles\*.* %1:\sdpc122\articles\
xcopy pcsherlk\*.* %1:\sdpc122\pcsherlk\
xcopy polypeg\*.* %1:\sdpc122\polypeg\
xcopy *.shl %1:\sdpc122\
xcopy copy122.bat %1:\sdpc122\
xcopy ..\go.exe %1:\
xcopy ..\vgashell.exe %1:\
xcopy ..\isstable.dat %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 2
xcopy hairybug\*.* %1:\sdpc122\hairybug\
xcopy ..\greetcrd\*.* %1:\greetcrd\
xcopy m*.shl %1:\sdpc122\
xcopy ..\go.exe %1:\
echo.
echo Insert a blank, formatted high-density disk in %1:
echo If you want to cancel this process, press Ctrl-C now.
pause
echo Copying files to Disk 3
xcopy ..\clipart\22*.pcx %1:\clipart\
xcopy ..\clipart\122*.lst %1:\clipart\
xcopy articles\*.* %1:\sdpc122\articles\
xcopy hairybug\*.* %1:\sdpc122\hairybug\
xcopy m*.shl %1:\sdpc122\
xcopy ..\go.exe %1:\
echo.
echo Finished copying SDPC VGA #122 to %1:
echo.
:exit

